## org.apache.fop.pdf
Class PDFInfo

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFInfo

public class PDFInfo
extends PDFObject

class representing an /Info object

Field Summary
`protected java.lang.String` `producer` the application producing the PDF

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFInfo(int number)` create an Info object

Method Summary
`void` `setProducer(java.lang.String producer)` set the producer string
`byte[]` `toPDF()` produce the PDF representation of the object

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### producer

    protected java.lang.String producer

  the application producing the PDF

Constructor Detail

### PDFInfo

    public PDFInfo(int number)

  create an Info object
  Parameters:
    `number` - the object's number

Method Detail

### setProducer

    public void setProducer(java.lang.String producer)

  set the producer string
  Parameters:
    `producer` - the producer string

### toPDF

    public byte[] toPDF()

  produce the PDF representation of the object
  Returns:
    the PDF

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.